Skip to main content
List requests
curl --request GET \
  --url https://app.simpledocs.com/api/v1/requests \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_pages": 3,
    "total_count": 72
  },
  "data": [
    {
      "id": "mN3kYq",
      "type": "legal_request",
      "attributes": {
        "name": "Vendor Agreement — Acme Corp",
        "description": "<string>",
        "status": "initial_review"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Obtain a Bearer token via the Create access token endpoint using the OAuth2 client credentials flow.

Query Parameters

page
integer
default:1

Page number for pagination (defaults to 1).

Required range: x >= 1
status
enum<string>

Filter by request status.

Available options:
draft,
ready_for_send,
business_review,
initial_review,
ongoing_review,
sent_for_signature,
changes_proposed,
signed,
archived,
declined,
canceled,
expired

Response

A paginated list of requests.

pagination
object
data
object[]